<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="cuestionarioEstado">
        <h2 class="jh-entity-heading" data-cy="cuestionarioEstadoDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesCuestionarioEstado.detail.title')">CuestionarioEstado</span> {{ cuestionarioEstado.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesCuestionarioEstado.valor')">Valor</span>
          </dt>
          <dd>
            <span>{{ cuestionarioEstado.valor }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesCuestionarioEstado.valoracion')">Valoracion</span>
          </dt>
          <dd>
            <span>{{ cuestionarioEstado.valoracion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesCuestionarioEstado.pregunta')">Pregunta</span>
          </dt>
          <dd>
            <div v-if="cuestionarioEstado.pregunta">
              <router-link :to="{ name: 'PreguntaView', params: { preguntaId: cuestionarioEstado.pregunta.id } }">{{
                cuestionarioEstado.pregunta.pregunta
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="cuestionarioEstado.id"
          :to="{ name: 'CuestionarioEstadoEdit', params: { cuestionarioEstadoId: cuestionarioEstado.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./cuestionario-estado-details.component.ts"></script>
